#
# spec file for package xli (Version 1.17.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libjpeg libpng libpng-devel x-devel-packages zlib zlib-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext libjpeg libpng libpng-devel libtool perl rpm

Name:         xli
License:      Other License(s), see package, X11/MIT
Group:        System/X11/Utilities
Provides:     xli115 
Autoreqprov:  on
Version:      1.17.0
Release:      307
Summary:      X11 Image Loading Utility
URL:          http://pantransit.reptiles.org/prog
#Source:      http://pantransit.reptiles.org/prog/xli-1.17.0.tar.gz
Source:       xli-%{version}.tar.bz2
Patch0:       xli-%{version}.diff
Patch1:       xli-%{version}-sec.diff
Patch2:       xli-%{version}-overflow.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
xli is a version of xloadimage.

This utility will view several types of images under X11, or load
images onto the X11 root window.



Authors:
--------
    Graeme Gill <GraemeGill@access.net.au>
    Smarasderagd <smar@reptiles.org>

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 
xmkmf -a

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
make BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin install
make DESTDIR=$RPM_BUILD_ROOT install.man 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README* ABOUTGAMMA
%doc /usr/X11R6/man/man1/xli.1x.gz
%doc /usr/X11R6/man/man1/xlito.1x.gz
/usr/X11R6/bin/xli
/usr/X11R6/bin/xlito
/usr/X11R6/bin/xsetbg
/usr/X11R6/bin/xview

%changelog -n xli
* Tue Oct 18 2005 - lmichnovic@suse.cz
- fixed buffer overflow which can be misused to execute arbitrary code (#121922)
* Wed Apr 20 2005 - ltinkl@suse.de
- fix buffer overflow (#66139)
* Wed Jun 04 2003 - mjancar@suse.cz
- added URL
* Wed Nov 13 2002 - jderfina@suse.cz
- fixed "GCC no longer implements <varargs.h>." error.
* Thu Sep 26 2002 - max@suse.de
- New version 1.17.0.
- Now supports PNG and progressive JPEG.
* Tue Sep 04 2001 - nadvornik@suse.cz
- fixed copyright tag
- removed Provides: xli
* Fri Jul 20 2001 - nadvornik@suse.cz
- fixed possible buffer overflow
* Fri Apr 13 2001 - schwab@suse.de
- Fix missing declarations.
- Fix unaligned access.
* Fri May 12 2000 - nadvornik@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 09 1997 - fehr@suse.de
- make all smlinks relative
